<?php
/**
 * Custom functions that act independently of the theme templates
 *
 * Eventually, some of the functionality here could be replaced by core features
 *
 * @package clearly
 * @since clearly 1.0
 * @license GPL 2.0
 */

/**
 * Setup theme settings.
 * 
 * @since clearly 1.0
 */
function clearly_theme_settings(){
	siteorigin_settings_add_section('general', __('General', 'clearly'));
	siteorigin_settings_add_section('home', __('Home Page', 'clearly'));

	/**
	 * General Settings
	 */
	
	siteorigin_settings_add_field('general', 'logo', 'media', __('Logo', 'clearly'), array(
		'choose' => __('Choose Image', 'clearly'),
		'update' => __('Set Logo', 'clearly'),
	));

	// siteorigin_settings_add_field('general', '', '');

	/**
	 * Home Page
	 */

	siteorigin_settings_add_field('home', 'gallery', 'gallery', __('Home Slider Images', 'clearly'));

}
add_action('admin_init', 'clearly_theme_settings');

/**
 * Setup theme default settings.
 * 
 * @param $defaults
 * @return mixed
 * @since clearly 1.0
 */
function clearly_theme_setting_defaults($defaults){
	$defaults['general_logo'] = '';
	$defaults['general_ajax_comments'] = false;
	$defaults['general_site_description'] = true;
	
	$defaults['home_slider'] = '';

	$defaults['layout_responsive'] = true;
	$defaults['layout_responsive_menu'] = true;

	return $defaults;
}
add_filter('siteorigin_theme_default_settings', 'clearly_theme_setting_defaults');